# Package org.codehaus.plexus

Interface Summary
ComponentRegistry
ContainerConfiguration
MutablePlexusContainer
PlexusContainer: PlexusContainer is the entry-point for loading and accessing other components.

Class Summary
DefaultComponentRegistry
DefaultContainerConfiguration
DefaultPlexusContainer: Default implementation of PlexusContainer and MutablePlexusContainer.
PlexusConstants
PlexusTestCase

Exception Summary
DuplicateChildContainerException
PlexusContainerException: Container execution exception.